> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Enterprise Groups

> Add new enterprise groups to your organization

Requires an enterprise admin personal API key.

This endpoint allows you to add new enterprise groups to your organization.


## OpenAPI

````yaml /v2-openapi.yaml PUT /v2/enterprise/groups
openapi: 3.1.0
info:
  description: Devin v2 API with Personal API Keys for Enterprise Admins
  title: Devin API v2
  version: 2.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v2/enterprise/groups:
    put:
      tags:
        - groups
      summary: Enterprise Group Create Endpoint
      description: Create groups in the enterprise
      operationId: enterprise_group_create_endpoint_v2_enterprise_groups_put
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EnterpriseIdpGroupsCreate'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  type: string
                title: >-
                  Response Enterprise Group Create Endpoint V2 Enterprise Groups
                  Put
                type: array
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    EnterpriseIdpGroupsCreate:
      properties:
        group_names:
          items:
            type: string
          title: Group Names
          type: array
      required:
        - group_names
      title: EnterpriseIdpGroupsCreate
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: Personal API Key (apk_user_*) for Enterprise Admins only
      scheme: bearer
      type: http

````